void FXPAD_SetInput(int port, int type, void *ptr, int attrib);

uint32 FXPAD_Read32(uint32 A);
uint16 FXPAD_Read16(uint32 A);
void FXPAD_Write16(uint32 A, uint16 V);
void FXPAD_Write32(uint32 A, uint32 V);

void FXPAD_Frame(void);
int FXPAD_StateAction(StateMem *sm, int load, int data_only);

